=== debian/changelog ===
leptonlib (1.79.0-1.1) unstable; urgency=medium

  * Non-maintainer upload by the LTS Team.
    (Closes: #985089)
  * CVE-2020-36277
    denial of service (application crash) via an incorrect left
    shift in pixConvert2To8 in pixconv.c
  * CVE-2020-36278
    heap-based buffer over-read in findNextBorderPixel in ccbord.c
  * CVE-2020-36279
    heap-based buffer over-read in rasteropGeneralLow, related to
    adaptmap_reg.c and adaptmap.c
  * CVE-2020-36280
    heap-based buffer over-read in pixReadFromTiffStream, related
    to tiffio.c
  * CVE-2020-36281
    heap-based buffer over-read in pixFewColorsOctcubeQuantMixed
    in colorquant1.c

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 18 Apr 2021 10:03:02 +0200

leptonlib (1.79.0-1) unstable; urgency=medium

  * New upstream release
  * Serialize tests due to race.
  * Add Multi-Arch: Same (closes: #942062)

 -- Jeff Breidenbach <jab@debian.org>  Thu, 02 Jan 2020 19:02:45 +0000
