=== prog/CMakeLists.txt ===
--- 
+++ 
@@ -31,6 +31,7 @@
 add_prog_target(binmorph3_reg binmorph3_reg.c)
 add_prog_target(binmorph4_reg binmorph4_reg.c)
 add_prog_target(binmorph5_reg binmorph5_reg.c)
+add_prog_target(binmorph6_reg binmorph6_reg.c)
 add_prog_target(blackwhite_reg blackwhite_reg.c)
 add_prog_target(blend1_reg blend1_reg.c)
 add_prog_target(blend2_reg blend2_reg.c)
@@ -42,11 +43,14 @@
 add_prog_target(boxa3_reg boxa3_reg.c)
 add_prog_target(boxa4_reg boxa4_reg.c)
 add_prog_target(bytea_reg bytea_reg.c)
+add_prog_target(ccbord_reg ccbord_reg.c)
 add_prog_target(ccthin1_reg ccthin1_reg.c)
 add_prog_target(ccthin2_reg ccthin2_reg.c)
 add_prog_target(checkerboard_reg checkerboard_reg.c)
+add_prog_target(circle_reg circle_reg.c)
 add_prog_target(cmapquant_reg cmapquant_reg.c)
 add_prog_target(colorcontent_reg colorcontent_reg.c)
+add_prog_target(colorfill_reg colorfill_reg.c)
 add_prog_target(coloring_reg coloring_reg.c)
 add_prog_target(colorize_reg colorize_reg.c)
 add_prog_target(colormask_reg colormask_reg.c)
@@ -59,6 +63,7 @@
 add_prog_target(conncomp_reg conncomp_reg.c)
 add_prog_target(conversion_reg conversion_reg.c)
 add_prog_target(convolve_reg convolve_reg.c)
+add_prog_target(crop_reg crop_reg.c)
 add_prog_target(dewarp_reg dewarp_reg.c)
 add_prog_target(distance_reg distance_reg.c)
 add_prog_target(dither_reg dither_reg.c)
@@ -66,6 +71,7 @@
 add_prog_target(dwamorph1_reg dwamorph1_reg.c dwalinear.3.c dwalinearlow.3.c)
 add_prog_target(dwamorph2_reg dwamorph2_reg.c dwalinear.3.c dwalinearlow.3.c)
 add_prog_target(edge_reg edge_reg.c)
+add_prog_target(encoding_reg encoding_reg.c)
 add_prog_target(enhance_reg enhance_reg.c)
 add_prog_target(equal_reg equal_reg.c)
 add_prog_target(expand_reg expand_reg.c)
@@ -86,6 +92,7 @@
 add_prog_target(graymorph2_reg graymorph2_reg.c)
 add_prog_target(grayquant_reg grayquant_reg.c)
 add_prog_target(hardlight_reg hardlight_reg.c)
+add_prog_target(hash_reg hash_reg.c)
 add_prog_target(heap_reg heap_reg.c)
 add_prog_target(insert_reg insert_reg.c)
 add_prog_target(ioformats_reg ioformats_reg.c)
@@ -108,6 +115,7 @@
 add_prog_target(newspaper_reg newspaper_reg.c)
 add_prog_target(numa1_reg numa1_reg.c)
 add_prog_target(numa2_reg numa2_reg.c)
+add_prog_target(numa3_reg numa3_reg.c)
 add_prog_target(overlap_reg overlap_reg.c)
 add_prog_target(pageseg_reg pageseg_reg.c)
 add_prog_target(paintmask_reg paintmask_reg.c)
@@ -192,7 +200,6 @@
 add_prog_target(converttops converttops.c)
 add_prog_target(cornertest cornertest.c)
 add_prog_target(corrupttest corrupttest.c)
-add_prog_target(croptest croptest.c)
 add_prog_target(croptext croptext.c)
 add_prog_target(deskew_it deskew_it.c)
 add_prog_target(dewarprules dewarprules.c)
@@ -215,20 +222,20 @@
 add_prog_target(findpattern1 findpattern1.c)
 add_prog_target(findpattern2 findpattern2.c)
 add_prog_target(findpattern3 findpattern3.c)
-add_prog_target(flipselgen flipselgen.c)
 add_prog_target(fmorphautogen fmorphautogen.c)
 add_prog_target(fpixcontours fpixcontours.c)
 add_prog_target(gammatest gammatest.c)
 add_prog_target(graphicstest graphicstest.c)
 add_prog_target(graymorphtest graymorphtest.c)
 add_prog_target(hashtest hashtest.c)
+add_prog_target(histoduptest histoduptest.c)
 add_prog_target(histotest histotest.c)
-add_prog_target(histoduptest histoduptest.c)
 add_prog_target(htmlviewer htmlviewer.c)
 add_prog_target(imagetops imagetops.c)
 add_prog_target(jbcorrelation jbcorrelation.c)
 add_prog_target(jbrankhaus jbrankhaus.c)
 add_prog_target(jbwords jbwords.c)
+add_prog_target(lightcolortest lightcolortest.c)
 add_prog_target(listtest listtest.c)
 add_prog_target(livre_adapt livre_adapt.c)
 add_prog_target(livre_hmt livre_hmt.c)
@@ -258,17 +265,9 @@
 add_prog_target(printimage printimage.c)
 add_prog_target(printsplitimage printsplitimage.c)
 add_prog_target(printtiff printtiff.c)
+add_prog_target(rasteroptest rasteroptest.c)
 add_prog_target(rbtreetest rbtreetest.c)
 add_prog_target(recog_bootnum1 recog_bootnum1.c)
 add_prog_target(recog_bootnum2 recog_bootnum2.c)
 add_prog_target(recog_bootnum3 recog_bootnum3.c)
 add_prog_target(recogsort recogsort.c)
-add_prog_target(recogtest1 recogtest1.c)
-add_prog_target(recogtest2 recogtest2.c)
-add_prog_target(recogtest3 recogtest3.c)
-add_prog_target(recogtest4 recogtest4.c)
-add_prog_target(recogtest5 recogtest5.c)
-add_prog_target(recogtest6 recogtest6.c)
-add_prog_target(recogtest7 recogtest7.c)
-add_prog_target(reducetest reducetest.c)
-add_prog_target(removecmap removecmap.c)
