=== src/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
     set_source_files_properties(${src} PROPERTIES LANGUAGE CXX)
 endif()
 
-string(REPLACE "-O3" "-O2" CMAKE_C_FLAGS_RELEASE ${CMAKE_C_FLAGS_RELEASE})
+string(REPLACE "-O3" "-O2" CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE}")
 
 add_library                     (leptonica ${src} ${hdr})
 set_target_properties           (leptonica PROPERTIES VERSION   ${VERSION_PLAIN})
@@ -90,7 +90,7 @@
 endif()
 
 install(TARGETS leptonica EXPORT LeptonicaTargets RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)
-install(EXPORT LeptonicaTargets DESTINATION cmake)
+install(EXPORT LeptonicaTargets DESTINATION  ${leptonica_INSTALL_CMAKE_DIR})
 install(FILES
     ${hdr}
     ${CMAKE_BINARY_DIR}/src/endianness.h
