=== debian/changelog ===
leptonlib (1.82.0-3build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:43:05 +0000

leptonlib (1.82.0-3build3) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:02:18 +0000

leptonlib (1.82.0-3build2) lunar; urgency=medium

  * Rebuild against latest tiff

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Feb 2023 14:38:40 -0500

leptonlib (1.82.0-3build1) jammy; urgency=medium

  * No-change rebuild against latest libwebp

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 01 Feb 2022 09:23:10 -0500

leptonlib (1.82.0-3) unstable; urgency=medium

  * Patch flaky test so i386 architecture can build
  * Remove "Multi-Arch: same" because endianness.h on s390

 -- Jeff Breidenbach <jab@debian.org>  Fri, 31 Dec 2021 15:20:26 -0800

leptonlib (1.82.0-2) unstable; urgency=medium

  * Reduce build dependencies (closes: #981316)
  * Close out new version wishlist bug (closes: #993894)
  * Update Debian Policy standards version
  * Update debhelper-compat, as per Lintian request

 -- Jeff Breidenbach <jab@debian.org>  Thu, 09 Dec 2021 12:44:22 -0800

leptonlib (1.82.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jeff Breidenbach <jab@debian.org>  Tue, 30 Nov 2021 20:27:25 -0800
