=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: leptonlib
 Priority: optional
-Maintainer: Jeff Breidenbach <jab@debian.org>
-Build-Depends: debhelper (>= 10.0.0), libtiff-dev, libpng-dev, libgif-dev (>= 4.1.6), libwebp-dev (>= 0.4.0), libopenjp2-7-dev, automake, pkg-config, gnuplot-nox, libzzip-dev
-Standards-Version: 4.1.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jeff Breidenbach <jab@debian.org>
+Build-Depends: debhelper (>= 12.0.0), libtiff-dev, libpng-dev, libgif-dev (>= 4.1.6), libwebp-dev (>= 0.4.0), libopenjp2-7-dev, automake, pkg-config, gnuplot-nox <!nocheck>
+Standards-Version: 4.6.0
+Homepage: http://www.leptonica.org
 Section: graphics
 
 Package: libleptonica-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
 Depends: liblept5 (= ${binary:Version}), ${misc:Depends}
 Description: image processing library
  Well-tested C library for some basic image processing operations,
@@ -62,4 +63,3 @@
  numbers, number pairs and image-related geometrical objects), byte
  queues, generic stacks, generic lists, and endian-independent
  indexing into 32-bit arrays.
-
