## leptonlib 1.84.1

=== debian/changelog ===
leptonlib (1.84.1-4) unstable; urgency=medium

  * Begin transition (bug #1081319)

 -- Jeff Breidenbach <jab@debian.org>  Fri, 04 Oct 2024 19:21:52 -0700

leptonlib (1.84.1-3) experimental; urgency=medium

  * liblept6 -> libleptonica6 so packagename matches library name

 -- Jeff Breidenbach <jab@debian.org>  Thu, 12 Sep 2024 10:01:02 -0700

leptonlib (1.84.1-2) experimental; urgency=medium

  * liblept5 -> liblept6 (definitely need this)

 -- Jeff Breidenbach <jab@debian.org>  Mon, 09 Sep 2024 19:03:42 -0700

leptonlib (1.84.1-1) experimental; urgency=medium

  * New upstream release.

 -- Jeff Breidenbach <jab@debian.org>  Mon, 03 Jun 2024 10:46:53 -0700
