=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: leptonlib
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jeff Breidenbach <jab@debian.org>
+Maintainer: Jeff Breidenbach <jab@debian.org>
 Build-Depends: debhelper (>= 12.0.0), libtiff-dev, libpng-dev, libgif-dev (>= 4.1.6), libwebp-dev (>= 0.4.0), libopenjp2-7-dev, automake, pkg-config, gnuplot-nox <!nocheck>
 Standards-Version: 4.6.0
 Homepage: http://www.leptonica.org
@@ -10,7 +9,7 @@
 Package: libleptonica-dev
 Section: libdevel
 Architecture: any
-Depends: liblept5 (= ${binary:Version}), ${misc:Depends}
+Depends: libleptonica6 (= ${binary:Version}), ${misc:Depends}
 Description: image processing library
  Well-tested C library for some basic image processing operations,
  along with a description of the functions and some design methods. A
@@ -25,7 +24,7 @@
  queues, generic stacks, generic lists, and endian-independent
  indexing into 32-bit arrays.
 
-Package: liblept5
+Package: libleptonica6
 Section: libs
 Architecture: any
 Multi-Arch: same
