## leptonlib 1.86.0

=== debian/changelog ===
leptonlib (1.86.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jeff Breidenbach <jab@debian.org>  Sun, 30 Nov 2025 20:26:08 -0800
